Transactional Service

The Transactional Service API handles all transactional services used in your flows.

circle-info

API SUBPATH: eva-transactional-service

Pagination and Listing

Returng a pagination list of bot's transactional services

get
Path parameters
orgUUIDstringRequired

A valid organization Uuid

envUUIDstringRequired

A valid environment Uuid

botUUIDstringRequired

A valid bot Uuid

Query parameters
pageinteger · int32Optional

The number of page and the default is 1

Default: 1Example: 1
linesPerPageinteger · int32Optional

The number of services per pages and the default is 5

Default: 5Example: 1
orderBystringOptional

Field want to ordernate, the default is 'updatedAt'

Default: updatedAt
directionstringOptional

Direction of ordenation, ASC or DESC. The default is DESC

Default: DESC
searchTermsstring[]Optional

Names or tags to filter the search

Responses
chevron-right
200

Ok

*/*
totalPagesinteger · int32Optional
totalElementsinteger · int64Optional
numberOfElementsinteger · int32Optional
sizeinteger · int32Optional
numberinteger · int32Optional
firstbooleanOptional
lastbooleanOptional
emptybooleanOptional
get
/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/services/pagination

Searches (greedily) for any Transaction Service names that exists in a bot, matching the typed term, left-to-right, and returns a list of up to 6 Strings, ordered alphabetically.

get
Path parameters
orgUUIDstringRequired

A valid organization Uuid

envUUIDstringRequired

A valid environment Uuid

botUUIDstringRequired

A valid bot Uuid

Query parameters
searchTermstringRequired

Word or part of word to get suggestion names of transactional services

limitinteger · int64Optional

The limit of suggestions names in the response. The default value is 6

Default: 6Example: 1
Responses
chevron-right
200

Ok

*/*
string[]Optional
get
/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/services/quicksearch

Retrieves a list containing all Transactional Services from a Bot.

get
Path parameters
orgUUIDstringRequired

A valid organization Uuid

envUUIDstringRequired

A valid environment Uuid

botUUIDstringRequired

A valid bot Uuid

Responses
chevron-right
200

Ok

*/*

DTO response with transactional service list

get
/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/services/list

CRUD Operations

Create new services

post
Path parameters
orgUUIDstringRequired

A valid organization Uuid

envUUIDstringRequired

A valid environment Uuid

botUUIDstringRequired

A valid bot Uuid

Body

A body containing all necessary data to create a new Transactional Service

namestringRequired

Name of the transactional service

descriptionstringOptional

Description of the transactional service

webhookstringRequired

Webhook of the transactional service

authTypestring · enumOptional

Enum describing if cell uses an auth method, and which.

Possible values:
basicTokenstringOptional

Basic Token for Basic Auth Header

bearerTokenstringOptional

Bearer Token for Bearer Token Auth Header

oauthUrlstringOptional

URL for authentication with oAuth Method

grantTypestring · enumOptional

Grant type to be used with oAuth Method

Possible values:
clientIdstringOptional

Client Id to be used with oAuth Method

clientSecretstringOptional

Client Secret to be used with oAuth Method and grant type 'client_credentials'

authUsernamestringOptional

Username to be used with oAuth Method and grant type 'password'

authPasswordstringOptional

Password to be used with oAuth Method and grant type 'password'

Responses
post
/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/services

Retrieves detailed information from a service.

get
Path parameters
orgUUIDstringRequired

A valid organization Uuid

envUUIDstringRequired

A valid environment Uuid

botUUIDstringRequired

A valid bot Uuid

serviceUUIDstringRequired

A valid service Uuid

Responses
chevron-right
200

Ok

*/*

DTO response when fetch successfully a transactional service

namestringRequired

Name of the transactional service

descriptionstringOptional

Description of the transactional service

webhookstringRequired

Webhook of the transactional service

authTypestring · enumOptional

Enum describing if cell uses an auth method, and which.

Possible values:
basicTokenstringOptional

Basic Token for Basic Auth Header

bearerTokenstringOptional

Bearer Token for Bearer Token Auth Header

oauthUrlstringOptional

URL for authentication with oAuth Method

grantTypestring · enumOptional

Grant type to be used with oAuth Method

Possible values:
clientIdstringOptional

Client Id to be used with oAuth Method

clientSecretstringOptional

Client Secret to be used with oAuth Method and grant type 'client_credentials'

authUsernamestringOptional

Username to be used with oAuth Method and grant type 'password'

authPasswordstringOptional

Password to be used with oAuth Method and grant type 'password'

uuidstringOptional

UUID of the transactional service

updatedAtstring · date-timeOptional

Datetime of last transactional service update

updatedBystringOptional

User uuid of last transactional service update

get
/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/services/{serviceUUID}

Updates an existing Service.

put
Path parameters
orgUUIDstringRequired

A valid organization Uuid

envUUIDstringRequired

A valid environment Uuid

botUUIDstringRequired

A valid bot Uuid

serviceUUIDstringRequired

A valid service Uuid

Body

A body containing all necessary data to create a new Transactional Service

namestringRequired

Name of the transactional service

descriptionstringOptional

Description of the transactional service

webhookstringRequired

Webhook of the transactional service

authTypestring · enumOptional

Enum describing if cell uses an auth method, and which.

Possible values:
basicTokenstringOptional

Basic Token for Basic Auth Header

bearerTokenstringOptional

Bearer Token for Bearer Token Auth Header

oauthUrlstringOptional

URL for authentication with oAuth Method

grantTypestring · enumOptional

Grant type to be used with oAuth Method

Possible values:
clientIdstringOptional

Client Id to be used with oAuth Method

clientSecretstringOptional

Client Secret to be used with oAuth Method and grant type 'client_credentials'

authUsernamestringOptional

Username to be used with oAuth Method and grant type 'password'

authPasswordstringOptional

Password to be used with oAuth Method and grant type 'password'

Responses
chevron-right
200

Ok

*/*

DTO response when update successfully transactional service with ok message

messagestringOptional

Message 'OK'

datastringOptional

Message 'Service Updated'

put
/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/services/{serviceUUID}

Removes an existing Service.

delete
Path parameters
orgUUIDstringRequired

A valid organization Uuid

envUUIDstringRequired

A valid environment Uuid

botUUIDstringRequired

A valid bot Uuid

serviceUUIDstringRequired

A valid service Uuid

Responses
delete
/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/services/{serviceUUID}

No content

Last updated

Was this helpful?